org.springframework.cloud.dataflow.server.repository

## Class CannotDeleteNonParentTaskExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.cloud.dataflow.server.repository.CannotDeleteNonParentTaskExecutionException

- All Implemented Interfaces:
    Serializable

      public class CannotDeleteNonParentTaskExecutionException
      extends RuntimeException

  Exception that allows to indicate that 1 or more `TaskExecution`s could not be deleted.
  Author:
    Gunnar Hillert
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotDeleteNonParentTaskExecutionException(Long taskExecutionId)` Create a new exception for 1 `TaskExecution` id that could not be deleted.
    `CannotDeleteNonParentTaskExecutionException(Set<Long> taskExecutionIds)` Create a new exception for multiple `TaskExecution` ids that could not be deleted.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotDeleteNonParentTaskExecutionException

          public CannotDeleteNonParentTaskExecutionException(Long taskExecutionId)

      Create a new exception for 1 `TaskExecution` id that could not be deleted.
      Parameters:
        `taskExecutionId` - the id of the `TaskExecution` that could not be found

    - #### CannotDeleteNonParentTaskExecutionException

          public CannotDeleteNonParentTaskExecutionException(Set<Long> taskExecutionIds)

      Create a new exception for multiple `TaskExecution` ids that could not be deleted.
      Parameters:
        `taskExecutionIds` - the ids of the `TaskExecution` that could not be found

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.